> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Insert webhook



## OpenAPI

````yaml post /profile/webhook/{userId}
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /profile/webhook/{userId}:
    post:
      tags:
        - profile
      summary: Insert webhook
      operationId: ProfileController_insertWebhook
      parameters:
        - name: userId
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                webhook_url:
                  type: string
                  description: Webhook URL to be registered
                  example: https://your-webhook-url.com
              required:
                - webhook_url
      responses:
        '200':
          description: Webhook updated successfully
        '400':
          description: Bad Request
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````